ランタイム: Mix::Scene::IAtmosphereScatter Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IAtmosphereScatter Class Referenceabstract

大気スキャッターインターフェース More...

`#include <IAtmosphereScatter.h>`

Inheritance diagram for Mix::Scene::IAtmosphereScatter:
[legend]
Collaboration diagram for Mix::Scene::IAtmosphereScatter:
[legend]

## Classes

struct | DAY_SETTINGS
| 昼セッティング構造体 More...
struct | NIGHT_SETTINGS
| 夜セッティング構造体 More...

## Public Member Functions

virtual const Mix::Scene::IAtmosphereScatter::DAY_SETTINGS & | GetDaySettings (void) const =0
| 昼の設定を取得します More...
virtual void | SetDaySettings (const Mix::Scene::IAtmosphereScatter::DAY_SETTINGS &settings)=0
| 昼を設定します More...
virtual const Mix::Scene::IAtmosphereScatter::NIGHT_SETTINGS & | GetNightSettings (void) const =0
| 夜の設定を取得します More...
virtual void | SetNightSettings (const Mix::Scene::IAtmosphereScatter::NIGHT_SETTINGS &settings)=0
| 夜を設定します More...
virtual const Mix::Vector3 & | GetSunColor (void) const =0
| 太陽の色を取得します More...
virtual const Mix::Vector4 & | GetSunLightColor (void) const =0
| 太陽による照明の色を取得します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IAtmosphereScatter (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

大気スキャッターインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IAtmosphereScatter::~IAtmosphereScatter | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Scene::IAtmosphereScatter::DAY_SETTINGS& Mix::Scene::IAtmosphereScatter::GetDaySettings | ( | void |  | ) | const

pure virtual

昼の設定を取得します

Returns
  設定を表す Mix::Scene::IAtmosphereScatter::DAY_SETTINGS 構造体を返します

virtual void Mix::Scene::IAtmosphereScatter::SetDaySettings | ( | const Mix::Scene::IAtmosphereScatter::DAY_SETTINGS & | settings | ) |

pure virtual

昼を設定します

Parameters

  [in] | settings | 設定を表す Mix::Scene::IAtmosphereScatter::DAY_SETTINGS 構造体

virtual const Mix::Scene::IAtmosphereScatter::NIGHT_SETTINGS& Mix::Scene::IAtmosphereScatter::GetNightSettings | ( | void |  | ) | const

pure virtual

夜の設定を取得します

Returns
  設定を表す Mix::Scene::IAtmosphereScatter::NIGHT_SETTINGS 構造体を返します

virtual void Mix::Scene::IAtmosphereScatter::SetNightSettings | ( | const Mix::Scene::IAtmosphereScatter::NIGHT_SETTINGS & | settings | ) |

pure virtual

夜を設定します

Parameters

  [in] | settings | 設定を表す Mix::Scene::IAtmosphereScatter::NIGHT_SETTINGS 構造体

virtual const Mix::Vector3& Mix::Scene::IAtmosphereScatter::GetSunColor | ( | void |  | ) | const

pure virtual

太陽の色を取得します

Returns
  色を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector4& Mix::Scene::IAtmosphereScatter::GetSunLightColor | ( | void |  | ) | const

pure virtual

太陽による照明の色を取得します

Returns
  色を表す Mix::Vector4 クラスを返します

Note
  返される色は以下のようにして求められています。
  RGB=GetSunColor();
  A=GetSunColor().GetLength();

The documentation for this class was generated from the following file:

- Mix/Scene/IAtmosphereScatter.h